Bug 754130 - CVE-2011-4312 ReviewBoard: XSS in the commenting system (diff viewer and screenshot pages) [fedora-all]
Summary: CVE-2011-4312 ReviewBoard: XSS in the commenting system (diff viewer and scre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ReviewBoard
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-4312
TreeView+ depends on / blocked
 
Reported: 2011-11-15 13:47 UTC by Jan Lieskovsky
Modified: 2011-11-30 22:37 UTC (History)
3 users (show)

Fixed In Version: ReviewBoard-1.5.7-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:03:58 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-11-15 13:47:03 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=754126

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-11-15 13:55:30 UTC
ReviewBoard-1.6.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ReviewBoard-1.6.3-1.fc16

Comment 2 Fedora Update System 2011-11-15 13:55:39 UTC
ReviewBoard-1.5.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ReviewBoard-1.5.7-1.fc15

Comment 3 Fedora Update System 2011-11-15 13:56:12 UTC
ReviewBoard-1.5.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ReviewBoard-1.5.7-1.el5

Comment 4 Fedora Update System 2011-11-15 14:04:02 UTC
ReviewBoard-1.5.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ReviewBoard-1.5.7-1.el6

Comment 5 Fedora Update System 2011-11-15 21:56:47 UTC
Package ReviewBoard-1.5.7-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ReviewBoard-1.5.7-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4986
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-29 00:03:58 UTC
ReviewBoard-1.5.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-29 00:12:05 UTC
ReviewBoard-1.6.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-11-30 22:36:08 UTC
ReviewBoard-1.5.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-11-30 22:37:10 UTC
ReviewBoard-1.5.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.